cgCallStateResetCallback(3)

NAME
cgCallStateResetCallback - calls the state resetting callback function for a state assignment

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgCallStateResetCallback( CGstateassignment sa );

PARAMETERS

sa  The state assignment handle.

RETURN VALUES
Returns the boolean value returned by the callback function. It should be CG_TRUE upon success.

Returns CG_TRUE if no callback function was defined.

DESCRIPTION
cgCallStateResetCallback calls the graphics state resetting callback function for the given state assignment.

The semantics of "resetting state" will depend on the particular graphics state manager that defined the valid state assignments; it will generally either mean that graphics state is reset to what it was before the pass, or that it is reset to the default value. The OpenGL state manager in the OpenGL Cg runtime implements the latter approach.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

HISTORY
cgCallStateResetCallback was introduced in Cg 1.4.

SEE ALSO
the cgResetPassState manpage, the cgSetStateCallbacks manpage, the cgCallStateSetCallback manpage, the cgCallStateValidateCallback manpage